<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ecommerce_X
 */

?>

<div class="blog-holder">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<a href="<?php the_permalink();?>"><?php the_post_thumbnail( 'ecommerce-x-blog-825-*-346' );?></a>
		<div class="blog-body">
			<span class="date"><?php ecommerce_x_posted_on();?></span>
			<?php
			if ( is_singular() ) :
				the_title( '<h4 class="mt-0">', '</h4>' );
			else :
				the_title( '<h4 class="mt-0"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' );
			endif;?>

			<?php the_content();?>
			<ul class="btm-block">
				<li><?php ecommerce_x_posted_by();?></li>
				<li><span class="title"><?php esc_html_e('Comments:','ecommerce-x');?></span> <?php echo esc_html(get_comments_number());?></li>
			</ul>
			<?php if((!is_cart()) || (!is_checkout()) (!is_account_page())):?>
			<a href="<?php the_permalink();?>" class="btn"><?php echo esc_html__('Read More','ecommerce-x');?></a>
			<?php endif;?>
		</div>
		<?php
		
		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ecommerce-x' ),
			'after'  => '</div>',
		) );
		?>
	</article><!-- #post-<?php the_ID(); ?> -->
</div>
