<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<div class="media other-p-style" <?php wc_product_class(); ?>>
	<?php the_post_thumbnail( 'ecommerce-x-single-product-270-*-345', array('class'=>'mr-5') );?>
	<div class="media-body">
		<h6 class="mt-0"><?php the_title();?></h6>
		<?php the_excerpt();?>
		<div class="price-tag">
			<div class="tag-holder">
				<?php
				global $woocommerce;
				$currency = get_woocommerce_currency_symbol();
				$price = get_post_meta( get_the_ID(), '_regular_price', true);
				$sale = get_post_meta( get_the_ID(), '_sale_price', true);
				?>
				<span><?php echo esc_html($currency); echo esc_html($price); ?><span class="discount-tag"><?php echo esc_html($currency); echo esc_html($sale); ?></span></span>
			</div>
		</div>
		<a href="<?php echo esc_url( $product->add_to_cart_url() );?>" class="other-add-cart add-cart"><?php _e('Add to cart','ecommerce-x');?></a>
		<ul class="option">
			<li>
				<a href="<?php the_permalink();?>" data-toggle="tooltip" data-placement="top" title="View">
					<span class="fa fa-search" aria-hidden="true"></span>
				</a>
			</li>
		</ul>
	</div>
</div>

